<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly.
}

if(!class_exists('AddToPost_Funciones')) :

class AddToPost_Funciones{
	 
	private $options;
	protected static $_instance = null;
	
	public static function instance() {
		if ( is_null( self::$_instance ) ) {
			self::$_instance = new self();
		}
		return self::$_instance;
	}

	// Evita que el objeto se pueda clonar
	public function __clone()
	{
		trigger_error('La clonación de este objeto no está permitida', E_USER_ERROR);
	}
    	 
	private function __construct() {

	}
	
	public function filterAddToPost( $content ) {

		if ( is_single() )
		{
			
			$options = get_option('options_rev_add_to_post');
			if(!empty($options) && trim($options['extra_content_top'])!='')
			{
				$content=do_shortcode($options['extra_content_top']).$content;
			}
			if(!empty($options) && trim($options['extra_content_bottom'])!='')
			{
				$content.=do_shortcode($options['extra_content_bottom']);
			}
			
		}

		// Returns the content.
		return $content;
	}
}

endif;

?>
